'use strict';

exports.__esModule = true;
exports.getDataFromDom = getDataFromDom;

var _utils = require('../utils');

var utils = _interopRequireWildcard(_utils);

var _Constant = require('../enums/Constant');

var _Constant2 = _interopRequireDefault(_Constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getDataFromDom(event) {
  var domEl = event.target;
  var fieldId = domEl.getAttribute(_Constant2.default.FIELD_ID_DATA_ATTRIBUTE);

  var _utils$parseFieldId = utils.parseFieldId(fieldId),
      dataKey = _utils$parseFieldId.dataKey,
      entityId = _utils$parseFieldId.entityId,
      attr = _utils$parseFieldId.attr;

  var value = domEl.value,
      checked = domEl.checked;


  return {
    fieldId: fieldId,
    dataKey: dataKey,
    entityId: entityId,
    attr: attr,
    value: value,
    checked: checked
  };
}