'use strict';

exports.__esModule = true;
exports.parseFieldId = parseFieldId;

var _Constant = require('../enums/Constant');

var _Constant2 = _interopRequireDefault(_Constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function parseFieldId(id) {
  var parsedId = id.split(_Constant2.default.FIELD_ID_DELIMITER);
  var isMultiEntities = parsedId.length === 3;

  if (isMultiEntities) {
    return {
      fieldId: id,
      dataKey: parsedId[0],
      entityId: parsedId[1],
      attr: parsedId[2]
    };
  }

  return {
    fieldId: id,
    dataKey: parsedId[0],
    attr: parsedId[1]
  };
} /* eslint-disable key-spacing */