'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.resetState = resetState;

var _utils = require('../utils');

var utils = _interopRequireWildcard(_utils);

var _Constant = require('../enums/Constant');

var _Constant2 = _interopRequireDefault(_Constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function resetState(state, nextFormFieldsData, nextVaidationState) {
  var nextState = _extends({}, state);

  for (var _iterator = Object.keys(nextState), _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var stateKey = _ref;

    var _utils$parseFieldStat = utils.parseFieldStateId(stateKey),
        dataType = _utils$parseFieldStat.dataType;

    if (dataType === _Constant2.default.FIELD_VALIDATION_STATE_ID_PREFIX) {
      nextState[stateKey] = {};
    }
  }

  Object.assign(nextState, nextFormFieldsData, nextVaidationState);

  return nextState;
}