'use strict';

exports.__esModule = true;
exports.getFieldIdFromKeyPath = getFieldIdFromKeyPath;

var _utils = require('../utils');

var utils = _interopRequireWildcard(_utils);

var _Constant = require('../enums/Constant');

var _Constant2 = _interopRequireDefault(_Constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getFieldIdFromKeyPath(singleDataSource, keyPath) {
  var fieldIdKeyPath = utils.fetchArgsArray(keyPath);

  var idParts = singleDataSource && fieldIdKeyPath[0] !== singleDataSource ? [singleDataSource].concat(fieldIdKeyPath) : fieldIdKeyPath;

  return idParts.join(_Constant2.default.FIELD_ID_DELIMITER);
}