'use strict';

exports.__esModule = true;
exports.parseFieldStateId = parseFieldStateId;

var _Constant = require('../enums/Constant');

var _Constant2 = _interopRequireDefault(_Constant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function parseFieldStateId(fieldStateId) {
  var parsedId = fieldStateId.split(_Constant2.default.FIELD_STATE_ID_DELIMITER);

  return {
    dataType: parsedId[0],
    fieldId: parsedId[1]
  };
} /* eslint-disable key-spacing */